Bug 521697 - Change rpm autodeps command from fc-query to fc-scan
Summary: Change rpm autodeps command from fc-query to fc-scan
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: fontpackages
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 517789
TreeView+ depends on / blocked
 
Reported: 2009-09-07 18:53 UTC by Nicolas Mailhot
Modified: 2018-06-21 12:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:28:27 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2009-09-07 18:53:43 UTC
In bug #517789 Behdad requests that rpm changed the command it uses to collect font metadata from fc-query to fc-scan
point 7 of https://bugzilla.redhat.com/show_bug.cgi?id=517789#c11

Comment 1 Nicolas Mailhot 2009-09-07 19:29:42 UTC
See also
https://bugzilla.redhat.com/show_bug.cgi?id=517789#c17

Comment 2 Panu Matilainen 2009-09-15 06:19:53 UTC
Given your worry about fontconfig files not being in buildroot in that comment, to which I don't see a response from Behdad so far... are you guys really sure this change should go in?

Comment 3 Nicolas Mailhot 2009-09-15 07:18:43 UTC
I'm only relaying Behdad's instructions there, so if you needinfo, needinfo him :)

From what I understand of fontconfig changing fc-query to fc-scan now is low impact and will at least take make rpm take into account the fontconfig rules shipped within the fontconfig package itself. Then once Behdad adds some way to point fc-scan to fontconfig files outside fontconfig default paths, it we can improve the system more by adding an argument to the fontconfig files in the buildroot to the fc-scan call

Of course, Behdad may have better ideas than me here

Comment 4 Bug Zapper 2009-11-16 12:01:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Behdad Esfahbod 2010-02-12 23:06:05 UTC
Oki doki, the machinery is already there.

RPM should use fc-query, and set envvar FONTCONFIG_FILE to the absolute path of a file containing the following:

<fontconfig> 
<cachedir>path/to/build/dir/var/cache/fontconfig</cachedir> 
<dir>path/to/build/dir/etc/fonts/conf.d</dir> 
</fontconfig> 

The cachedir is unused, but needs to be available.  Alternatively you can point it to /tmp.

Let me know if it works.

Comment 6 Nicolas Mailhot 2010-02-13 09:05:19 UTC
Panu, is this something you can work with ? It does not seem the kind of stuff a package can request itself

Comment 7 Nicolas Mailhot 2010-08-15 15:28:05 UTC
Panu, I think that in F14 it's possible to move font autodep detection from rpm to other patckages. Would you be ok with moving this stuff in fontpackages-devel? (every font package in the distro depends on it) Can you give me some hints on how to do it?

Comment 8 Bug Zapper 2010-11-04 10:10:58 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-05 06:28:27 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Jens Petersen 2010-12-06 02:04:29 UTC
Reopening based on comment 7.

Comment 11 Fedora Admin XMLRPC Client 2012-04-13 23:13:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora Admin XMLRPC Client 2012-04-13 23:14:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2013-04-03 20:11:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 14 Fedora End Of Life 2015-01-09 21:40:20 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Paul Flo Williams 2015-02-03 18:40:12 UTC
Still needed.

Comment 16 Panu Matilainen 2016-10-17 09:33:04 UTC
(In reply to Nicolas Mailhot from comment #7)
> Panu, I think that in F14 it's possible to move font autodep detection from
> rpm to other patckages. Would you be ok with moving this stuff in
> fontpackages-devel? (every font package in the distro depends on it) Can you
> give me some hints on how to do it?

Uhm, somehow all these years passed... 

Since rpm 4.9.x the font provides generation is controlled by two files:
/usr/lib/rpm/fileattrs/font.attr and /usr/lib/rpm/fontconfig.prov

To move the control to font SIG where it IMO belongs, just grab a copy of those into fontpackages-devel in same fs location and once its ready to build, drop me a note to axe them from rpm-build. And that's it. Well, perhaps explicit conflicts for a while wouldn't hurt, but that'd be "minor details".

Switching component to fontpackages as that's where the willingness to commit to the change and first step(s) need to come from.


Note You need to log in before you can comment on or make changes to this bug.